Hi,

I'm attaching an update of Andreas' patch.  Diffed against today's tla
snapshot.

Please could you add this to your next experimental upload?

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-
diff -ur dpkg-1.13.1.old/man/C/dpkg-source.1 dpkg-1.13.1/man/C/dpkg-source.1
--- dpkg-1.13.1.old/man/C/dpkg-source.1 2005-04-10 15:20:59.000000000 +0200
+++ dpkg-1.13.1/man/C/dpkg-source.1     2005-04-10 15:52:34.000000000 +0200
@@ -606,8 +606,10 @@
 .BR "debian/rules clean" )
 after the package has been built.
 .TP
-.BR \-us ", " \-uc
-Do not sign the source package or the .changes file, respectively.
+.BR \-us ", " \-uc ", " \-ub ", " \-ua
+Do not sign the source package or the .changes file or the binary debian
+files, respectively, or nor file at all. The binary debian files are also
+not signed if dpkg-sig is not installed.
 .TP
 .BI \-a architecture
 Specify the Debian architecture we build for. The architecture of the
diff -ur dpkg-1.13.1.old/scripts/dpkg-buildpackage.sh 
dpkg-1.13.1/scripts/dpkg-buildpackage.sh
--- dpkg-1.13.1.old/scripts/dpkg-buildpackage.sh        2005-04-10 
15:21:01.000000000 +0200
+++ dpkg-1.13.1/scripts/dpkg-buildpackage.sh    2005-04-10 15:59:50.000000000 
+0200
@@ -23,6 +23,8 @@
          -spgp         the sign-command is called like PGP 
          -us           unsigned source
          -uc           unsigned changes
+         -ub           unsigned binary archive files
+         -ua           unsigned all
          -a<arch>      Debian architecture we build for (implies -d)
          -b            binary-only, do not build source } also passed to
          -B            binary-only, no arch-indep files } dpkg-genchanges
@@ -57,6 +59,7 @@
 
 signsource='withecho signfile'
 signchanges='withecho signfile'
+signbinary='withecho signdeb'
 cleansource=false
 checkbuilddep=true
 checkbuilddep_args=''
@@ -85,6 +88,8 @@
        -spgp)  forcesigninterface=pgp ;;
        -us)    signsource=: ;;
        -uc)    signchanges=: ;;
+       -ub)    signbinary=: ;;
+       -ua)    signsource=:; signchanges=:; signbinary=: ;;
        -ap)    usepause="true";;
        -a*)    targetarch="$value"; checkbuilddep=false ;;
        -si)    sourcestyle=-si ;;
@@ -116,6 +121,7 @@
 if [ -z "$signcommand"  ] ; then
        signsource=:
        signchanges=:
+       signbinary=:
 fi
 
 if test -n "$forcesigninterface" ; then
@@ -200,7 +206,8 @@
        withecho $rootcommand debian/rules $binarytarget
 fi
 if [ "$usepause" = "true" ] && \
-   ( [ "$signchanges" != ":" ] || ( [ -z "$binaryonly" ] && [ "$signsource" != 
":" ] ) ) ; then
+   ( [ "$signchanges" != ":" ] || [ "$signbinary" != ":" ] \
+   || ( [ -z "$binaryonly" ] && [ "$signsource" != ":" ] ) ) ; then
     echo Press the return key to start signing process
     read dummy_stuff
 fi
@@ -242,6 +249,15 @@
        fi
 fi
 
+
+signdeb () {
+       if [ -x $(which dpkg-sig) ]; then
+               dpkg-sig -k "${signkey:-$maintainer}" --sign=builder "../$1";
+       fi
+}
+
+
+$signbinary "$pva.changes"
 $signchanges "$pva.changes"
 
 if $cleansource; then

Reply via email to